export declare type TDBFilterObject = {
    COL_NAME: string;
    CLAUSE: string;
    COL_VALUE: string;
};
export declare type SplittedQuery = {
    declare: string;
    begin: string;
    end: string;
};
declare type TLoggerHandler = (...args: any) => void;
export interface ILogger {
    error: TLoggerHandler;
    warn: TLoggerHandler;
    info: TLoggerHandler;
    debug: TLoggerHandler;
}
export interface IConfig {
    db: IDBConfig;
}
interface IDBConfig {
    minConnectionsInPool: number;
    maxConnectionsInPool: number;
    user: string;
    password: string;
    connectString: string;
    momentDateFormat: string;
    dateFormat: string;
    /**
     * Date without time format used for Moment.js
     */
    momentDateWithoutTimeFormat: string;
    timeoutInSeconds: number;
    maxCursorRowsToRead: number;
}
export interface IBasicObject<T = any> {
    [i: string]: T;
}
export {};
